PaidGoods
API referenceStorefront themes

Themes in this store’s library

GET
/v1/stores/{storeId}/storefront/themes

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/storefront/themes"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "base": "string",      "baseLabel": "string",      "baseVersion": "string",      "isActive": true,      "version": -9007199254740991,      "hasDraft": true,      "customisedFiles": -9007199254740991,      "update": {        "available": true,        "released": "string",        "files": [          "string"        ]      },      "tier": "free",      "updatedAt": "string",      "createdAt": "string"    }  ]}